from math import exp, log, sqrt

def f(x):
	return sqrt( log(x)**2 + exp(x) ) - 2*x

def dichotomie(a,b,e):
    delta = 1
    while delta > e:
        m = a + (b - a) / 2
        delta = abs(b - a)
        if f(m) == 0:
            return m
        elif f(a) * f(m)  > 0:
            a = m
        else:
            b = m

    return a, b
